Menu

## LdapAuthService
in package

LdapAuthService.php : 17

Service zur Authentifizierung von Benutzern gegen ein Active Directory per LDAP/LDAPS.

Bekommt Benutzername und Passwort und liefert:

- true -> Anmeldedaten sind gültig
- false -> Anmeldedaten sind fachlich ungültig (z. B. falsches Passwort) Technische Fehler (z. B. falsche Konfiguration, keine Verbindung) werden als Exception geworfen.

### Table of Contents

#### Properties

$config : array<string, mixed>
$connectionHelper : LdapConnectionHelper

#### Methods

__construct() : mixed
  Erwartet den Teilbereich "ldap" aus der allgemeinen Konfiguration (config.php).
authenticate() : bool
  Führt die eigentliche LDAP/AD-Authentifizierung durch.

### Properties

#### $config

LdapAuthService.php : 20
`private array<string, mixed> $config`

LDAP-spezifische Konfiguration (Server, Port, Domain-Suffix, Timeout, etc.)

#### $connectionHelper

LdapAuthService.php : 22
`private LdapConnectionHelper $connectionHelper`

### Methods

#### __construct()

LdapAuthService.php : 29

Erwartet den Teilbereich "ldap" aus der allgemeinen Konfiguration (config.php).

`public __construct(array<string, mixed> $ldapConfig) : mixed`

##### Parameters

$ldapConfig : array<string, mixed>

  Konfiguration für die LDAP-Verbindung

#### authenticate()

LdapAuthService.php : 46

Führt die eigentliche LDAP/AD-Authentifizierung durch.

`public authenticate(string $username, string $password) : bool`

##### Parameters

$username : string

  Benutzername (ohne Domain-Suffix, z. B. "administrator")

$password : string

  Passwort im Klartext (wird direkt an ldap_bind übergeben)

##### Tags

throws
  RuntimeException

  bei technischen Problemen (z. B. fehlende Konfiguration, Verbindungsfehler)

##### Return values

bool —

true bei erfolgreicher Anmeldung, false bei fachlich ungültigen Anmeldedaten

## Search results